API Explorer 935 endpoints

Get Accounts at Bank (Private)

GET /obp/v7.0.0/my/banks/BANK_ID/accounts

OBPv2.0.0-corePrivateAccountsAtOneBank No role required AccountPrivateDataPSD2

Get private accounts at one bank (Authenticated access). Returns the list of accounts containing private views for the user at BANK_ID. For each account the API returns the ID and label. To also see the list of Views, see privateAccountsAtOneBank

This call MAY have an alias /bank/accounts but ONLY if defaultBank is set in Props

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (5)
_links
_links
accounts
bank_id
gh.29.uk
id
d8839721-ad8f-45dd-9f78-2080414b93f9
label
My Account
Example success response
{
  "accounts": [
    {
      "id": "8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0",
      "label": "NoneLabel",
      "bank_id": "gh.29.uk",
      "_links": {
        "jsonString": "{}"
      }
    }
  ]
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv2.0.0 corePrivateAccountsAtOneBank Originally /obp/v2.0.0/my/banks/BANK_ID/accounts